
D4Science Infrastructure - Incident #10910

The accounting fallback logs are killing a lot of services

Jan 13, 2018 02:52 PM - Andrea Dell'Amico

Status: Closed Start date: Jan 13, 2018

Priority: Immediate Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: No Sprint   

Infrastructure: Production   

Description

Here is a probably incomplete list (not all servers are monitored by nagios):

workspace-repository-prod1.d4science.org

dataminer0-proto.d4science.org

dataminer1-proto.d4science.org

dataminer2-proto.d4science.org

dataminer3-proto.d4science.org

dataminer4-proto.d4science.org

dataminer5-proto.d4science.org

dataminer1-p-d4s.d4science.org

dataminer2-p-d4s.d4science.org

dataminer3-p-d4s.d4science.org

geoserver-protectedareaimpactmaps.d4science.org

geoserver1-protectedareaimpactmaps.d4science.org

geoserver2-protectedareaimpactmaps.d4science.org

thredds.d4science.org

 The not working workspace is causing the failure of a lot of dataminer jobs.

Related issues:

Related to D4Science Infrastructure - Incident #10895: accounting bloat on wo... Closed Jan 12, 2018

Related to D4Science Infrastructure - Incident #10701: accounting bloat on wo... Closed Dec 14, 2017

Related to D4Science Infrastructure - Incident #10651: dataminer3-p-d4s.d4sci... Closed Dec 11, 2017

Blocks D4Science Infrastructure - Incident #10909: Regular Failure of Datamin... Closed Jan 13, 2018

History

#1 - Jan 13, 2018 02:53 PM - Andrea Dell'Amico

- Related to Incident #10895: accounting bloat on workspace-repository-prod1.d4science.org - AGAIN added

#2 - Jan 13, 2018 02:53 PM - Andrea Dell'Amico

- Related to Incident #10701: accounting bloat on workspace-repository-prod1.d4science.org added

#3 - Jan 13, 2018 02:53 PM - Andrea Dell'Amico

- Related to Incident #10651: dataminer3-p-d4s.d4science.org filled the disk added

#4 - Jan 13, 2018 02:55 PM - Andrea Dell'Amico

- Blocks Incident #10909: Regular Failure of Dataminer "Garr" (2 out of 3 execution attempts) - Internal Server Error added

#5 - Jan 13, 2018 02:55 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#6 - Jan 13, 2018 03:13 PM - Andrea Dell'Amico

- Description updated

#7 - Jan 13, 2018 03:30 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed
- % Done changed from 0 to 100

I stopped/cleaned up/restarted the services on all the above hosts. Things seems back to normal, a fallback accounting file is appeared on the

workspace but that one seems under control for now:

$ ls -l SmartGears/state/

total 72

-rw-r--r-- 1 gcube gcube 9375 Jan 13 15:24 _d4science.research-infrastructures.eu_SmartArea_SmartCamera.fallba

ck.log

#8 - Jan 13, 2018 06:07 PM - Andrea Dell'Amico

- Status changed from Closed to In Progress

- % Done changed from 100 to 90

The disk on workspace-repository-prod1.d4science.org was full again. cleaned and restarted

#9 - Jan 14, 2018 02:19 PM - Andrea Dell'Amico

- File fix-accounting-crap.yml added

It happened again and I guess it will happen again in the next hours. I'm attaching a playbook that clean up the involved hosts. It have to be run from

inside d4science-ghn-cluster this way:

./run.sh fix-accounting-crap.yml -i inventory/hosts.production

 Who does only have access as gcube user can change the remote_user directive into remote_user: gcube and comment out the become and

become_user occurrences.

#10 - Jan 15, 2018 12:40 PM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

I've upgraded the accounting libraries on "workspace-repository-prod1" as suggested by @luca.frosini@isti.cnr.it :

accounting-lib-3.2.0-4.10.0-162088.jar

document-store-lib-2.2.0-4.10.0-162084.jar

Files

fix-accounting-crap.yml 1018 Bytes Jan 14, 2018 Andrea Dell'Amico
